Skip to main content
PATCH
/
import
/
sources
/
{id}
Update import source
curl --request PATCH \
  --url https://api.prequel.co/import/sources/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "source": {
    "postgres": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "auth_method": "<string>",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "name": "<string>",
    "redshift": {
      "auth_method": "<unknown>",
      "aws_access_keys": {
        "password": "<string>",
        "access_id": "<string>",
        "secret_key": "<string>"
      },
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "cluster": "<string>",
      "region": "<string>",
      "workgroup": "<string>",
      "username": "<string>",
      "use_ssh_tunnel": true,
      "disable_ssl": true,
      "connection_timeout_in_seconds": 1
    },
    "redshift_serverless": {
      "auth_method": "<unknown>",
      "aws_access_keys": {
        "password": "<string>",
        "access_id": "<string>",
        "secret_key": "<string>"
      },
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "workgroup": "<string>",
      "region": "<string>",
      "use_ssh_tunnel": true,
      "disable_ssl": true,
      "connection_timeout_in_seconds": 1
    },
    "bigquery": {
      "auth_method": "<unknown>",
      "gcp_service_account_role": {
        "service_account_email": "jsmith@example.com"
      },
      "project_id": "<string>",
      "region": "<string>"
    },
    "s3": {
      "auth_method": "<unknown>",
      "aws_iam_role": {
        "aws_iam_role_arn": "arn:aws:iam::123456789012:role/service-role/role-name"
      },
      "bucket_name": "<string>",
      "region": "<string>",
      "bucket_host": "<string>",
      "use_ssh_tunnel": true
    },
    "abs": {
      "bucket_name": "<string>",
      "storage_account_name": "<string>",
      "auth_method": "<string>",
      "azure_service_shared_access_signature": {
        "shared_access_signature_token": "<string>"
      }
    },
    "sftp": {
      "username": "<string>",
      "host": "<string>",
      "port": 123,
      "auth_method": "<string>",
      "public_key_auth": {
        "public_key": "<string>"
      }
    },
    "gcs": {
      "auth_method": "<unknown>",
      "gcp_service_account_role": {
        "service_account_email": "jsmith@example.com"
      },
      "bucket_name": "<string>",
      "region": "<string>"
    },
    "s3_compatible": {
      "host": "<string>",
      "port": 123,
      "bucket_name": "<string>",
      "auth_method": "<string>",
      "aws_access_keys": {
        "access_id": "<string>",
        "secret_key": "<string>"
      },
      "disable_ssl": true,
      "use_ssh_tunnel": true
    },
    "snowflake": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "username": "<string>",
      "auth_method": "<string>",
      "public_key_auth": {
        "public_key": "<string>"
      }
    }
  }
}
'
{
  "status": "<string>",
  "data": {
    "source": {
      "id": "<string>",
      "provider_id": "<string>",
      "name": "<string>",
      "is_reachable": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "postgres": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "username": "<string>",
        "use_ssh_tunnel": true,
        "disable_ssl": true,
        "connection_timeout_in_seconds": 123,
        "schema": "<string>",
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "redshift": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "use_ssh_tunnel": true,
        "disable_ssl": true,
        "connection_timeout_in_seconds": 123,
        "schema": "<string>",
        "cluster": "<string>",
        "region": "<string>",
        "workgroup": "<string>",
        "username": "<string>",
        "aws_iam_role": {
          "aws_iam_role": "<string>"
        },
        "aws_access_keys": {
          "access_id": "<string>"
        },
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "redshift_serverless": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "workgroup": "<string>",
        "use_ssh_tunnel": true,
        "disable_ssl": true,
        "connection_timeout_in_seconds": 123,
        "schema": "<string>",
        "region": "<string>",
        "aws_iam_role": {
          "aws_iam_role": "<string>"
        },
        "aws_access_keys": {
          "access_id": "<string>"
        },
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "bigquery": {
        "project_id": "<string>",
        "region": "<string>",
        "gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "federated_gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "gcp_service_account_key": {
          "service_account_email": "<string>"
        }
      },
      "s3": {
        "is_valid": true,
        "bucket_name": "<string>",
        "region": "<string>",
        "use_ssh_tunnel": true,
        "aws_iam_role": {
          "aws_iam_role": "<string>"
        },
        "aws_access_keys": {
          "access_key_id": "<string>"
        },
        "bucket_host": "<string>",
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "abs": {
        "is_valid": true,
        "bucket_name": "<string>",
        "storage_account_name": "<string>"
      },
      "sftp": {
        "is_valid": true,
        "username": "<string>",
        "host": "<string>",
        "port": 123
      },
      "gcs": {
        "is_valid": true,
        "bucket_name": "<string>",
        "region": "<string>",
        "gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "federated_gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "gcs_hmac_keys": {
          "access_id": "<string>"
        },
        "gcp_service_account_key": {
          "service_account_email": "<string>"
        }
      },
      "s3_compatible": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "bucket_name": "<string>",
        "disable_ssl": true,
        "use_ssh_tunnel": true,
        "aws_access_keys": {
          "access_key_id": "<string>"
        },
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "snowflake": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "username": "<string>",
        "auth_method": "<string>",
        "schema": "<string>",
        "public_key_auth": {
          "public_key": "<string>"
        }
      }
    }
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Import Source ID.

Body

application/json
source
postgres · object
required

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required